/// <reference types="node" />
import { GlobalOptions } from '..';
import * as helpCommand from './help';
import * as interpretCommand from './interpret';
import * as layoutCommand from './layout';
export declare const name = "help";
export declare const description = "Show help about a command";
export interface Options {
    readonly $0: string;
    readonly command?: typeof helpCommand['name'] | typeof interpretCommand['name'] | typeof layoutCommand['name'];
}
export declare function parseOptions({ commandArgs, executablePath, }: GlobalOptions): Promise<Options>;
export declare function printCommandHelp(options: Options, out: NodeJS.WritableStream): void;
export declare function printHelp(options: Options, out: NodeJS.WritableStream): void;
export declare function run(options: Options, _stdin: NodeJS.ReadableStream, stdout: NodeJS.WritableStream): Promise<number>;
