/// <reference types="node" />
import { Election } from '@votingworks/ballot-encoder';
import { GlobalOptions } from '..';
import { Input } from '../../types';
export declare const name = "interpret";
export declare const description = "Interpret images of ballot pages";
export declare enum OutputFormat {
    JSON = "json",
    Table = "table"
}
export interface Options {
    election: Election;
    testMode: boolean;
    autoInputs: readonly Input[];
    templateInputs: readonly Input[];
    ballotInputs: readonly Input[];
    markScoreVoteThreshold: number;
    format: OutputFormat;
}
export declare function printHelp($0: string, out: NodeJS.WritableStream): void;
export declare function parseOptions({ commandArgs: args, }: GlobalOptions): Promise<Options>;
export declare function run(options: Options, _stdin: NodeJS.ReadableStream, stdout: NodeJS.WritableStream): Promise<number>;
