import { AnyContest, Contests } from '@votingworks/ballot-encoder';
import { BallotPageContestLayout, BallotPageLayout, Corners, Rect } from '../types';
export interface ContestShape {
    bounds: Rect;
    corners: Corners;
}
export interface Options {
    inset?: number;
    separation?: number;
    columns?: readonly boolean[];
    expectedWidth?: number;
    minExpectedHeight?: number;
    maxExpectedHeight?: number;
    errorMargin?: number;
}
export default function findContests(ballotImage: ImageData, { inset, separation, columns, expectedWidth, minExpectedHeight, maxExpectedHeight, errorMargin, }?: Options): Generator<ContestShape>;
export interface BallotLayoutCorrespondance {
    corresponds: boolean;
    mismatchedContests: {
        template: BallotPageContestLayout;
        ballot: BallotPageContestLayout;
        definition: AnyContest;
    }[];
}
export declare function findBallotLayoutCorrespondance(contests: Contests, ballot: BallotPageLayout, template: BallotPageLayout, { allowedScaleErrorRatio }?: {
    allowedScaleErrorRatio?: number | undefined;
}): BallotLayoutCorrespondance;
