"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addVote = void 0;
const util_1 = require("util");
function addVote(votes, contest, candidateOrYesNoOrEitherNeither) {
    var _a, _b, _c, _d, _e, _f;
    if (contest.type === 'candidate' &&
        typeof candidateOrYesNoOrEitherNeither === 'object') {
        votes[contest.id] = [
            ...((_a = votes[contest.id]) !== null && _a !== void 0 ? _a : []),
            candidateOrYesNoOrEitherNeither,
        ];
    }
    else if (contest.type === 'yesno' &&
        typeof candidateOrYesNoOrEitherNeither === 'string') {
        votes[contest.id] = [
            ...((_b = votes[contest.id]) !== null && _b !== void 0 ? _b : []),
            candidateOrYesNoOrEitherNeither,
        ];
    }
    else if (contest.type === 'ms-either-neither' &&
        typeof candidateOrYesNoOrEitherNeither === 'object') {
        switch (candidateOrYesNoOrEitherNeither.id) {
            case contest.eitherOption.id:
                votes[contest.eitherNeitherContestId] = [
                    ...((_c = votes[contest.eitherNeitherContestId]) !== null && _c !== void 0 ? _c : []),
                    'yes',
                ];
                break;
            case contest.neitherOption.id:
                votes[contest.eitherNeitherContestId] = [
                    ...((_d = votes[contest.eitherNeitherContestId]) !== null && _d !== void 0 ? _d : []),
                    'no',
                ];
                break;
            case contest.firstOption.id:
                votes[contest.pickOneContestId] = [
                    ...((_e = votes[contest.pickOneContestId]) !== null && _e !== void 0 ? _e : []),
                    'yes',
                ];
                break;
            case contest.secondOption.id:
                votes[contest.pickOneContestId] = [
                    ...((_f = votes[contest.pickOneContestId]) !== null && _f !== void 0 ? _f : []),
                    'no',
                ];
                break;
            default:
                throw new Error(`unexpected option in ${contest.type} contest: ${candidateOrYesNoOrEitherNeither.id}`);
        }
    }
    else {
        throw new Error(`Invalid vote for '${contest.type}' contest type: ${util_1.inspect(candidateOrYesNoOrEitherNeither)}`);
    }
}
exports.addVote = addVote;
