/// <reference types="node" />
import { Election } from '@votingworks/ballot-encoder';
import { BallotPageMetadata, DetectQRCode } from './types';
export interface DetectOptions {
    detectQRCode?: DetectQRCode;
}
export interface DetectResult {
    metadata: BallotPageMetadata;
    flipped: boolean;
}
export declare class MetadataDecodeError extends Error {
}
export declare function decodeSearchParams(searchParams: URLSearchParams): BallotPageMetadata;
export declare function fromString(election: Election, text: string): BallotPageMetadata;
export declare function fromBytes(election: Election, data: Buffer): BallotPageMetadata;
export declare function detect(election: Election, imageData: ImageData, { detectQRCode }?: DetectOptions): Promise<DetectResult>;
