"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class KeyedMap {
    constructor(resolveKey) {
        this.resolveKey = resolveKey;
        this.map = new Map();
    }
    has(key) {
        return this.map.has(this.resolveKey(key));
    }
    get(key) {
        return this.map.get(this.resolveKey(key));
    }
    set(key, value) {
        this.map.set(this.resolveKey(key), value);
        return this;
    }
    delete(key) {
        return this.map.delete(this.resolveKey(key));
    }
}
exports.default = KeyedMap;
