export declare type RGBA = [number, number, number, number];
export declare const PIXEL_BLACK = 0;
export declare const PIXEL_WHITE: number;
export declare const RGBA_BLACK: RGBA;
export declare const RGBA_WHITE: RGBA;
/**
 * Converts an image to a grayscale image with all pixels set to either black or
 * white, depending on whether their luminosity is higher or lower than
 * `threshold`. By default an automatic threshold is calculated using Otsu's
 * method.
 *
 * Operates on an image in-place by default, or you may specify a different
 * destination image.
 */
export declare function binarize(srcImageData: ImageData, dstImageData?: ImageData, { threshold }?: {
    threshold?: number;
}): void;
