import { Size } from '../types';
export declare type InPlaceImageTransform<A extends unknown[], R> = (srcImageData: ImageData, dstImageData?: ImageData, ...args: A) => R;
export declare function makeInPlaceImageTransform<A extends unknown[], R>(gray: InPlaceImageTransform<A, R>, rgba: InPlaceImageTransform<A, R>): InPlaceImageTransform<A, R>;
export declare type ImageTransform<A extends unknown[], R> = (imageData: ImageData, ...args: A) => R;
export declare function makeImageTransform<A extends unknown[], R>(gray: ImageTransform<A, R>, rgba: ImageTransform<A, R>): ImageTransform<A, R>;
export declare function assertRGBAImage(imageData: ImageData): void;
export declare function assertGrayscaleImage(imageData: ImageData): void;
export declare function assertRGBAOrGrayscaleImage(imageData: ImageData): void;
export declare function assertImageChannelsMatch(imageData1: ImageData, imageData2: ImageData): void;
export declare function assertSizesMatch(size1: Size, size2: Size): void;
export declare function getImageChannelCount(imageData: ImageData): number;
export declare function isGrayscale(imageData: ImageData): boolean;
export declare function isRGBA(imageData: ImageData): boolean;
