"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toPNG = exports.loadImageData = void 0;
const canvas_1 = require("canvas");
function ensureImageData(imageData) {
    return canvas_1.createImageData(imageData.data, imageData.width, imageData.height);
}
async function loadImageData(pathOrData) {
    const img = await canvas_1.loadImage(pathOrData);
    const canvas = canvas_1.createCanvas(img.width, img.height);
    const context = canvas.getContext('2d');
    context.drawImage(img, 0, 0);
    return context.getImageData(0, 0, img.width, img.height);
}
exports.loadImageData = loadImageData;
async function toPNG(imageData) {
    const canvas = canvas_1.createCanvas(imageData.width, imageData.height);
    const context = canvas.getContext('2d');
    context.putImageData(ensureImageData(imageData), 0, 0);
    return canvas.toBuffer();
}
exports.toPNG = toPNG;
