"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const canvas_1 = require("../canvas");
function matToImageData(mat) {
    const imageData = canvas_1.createImageData(mat.cols, mat.rows);
    const data_u32 = new Uint32Array(imageData.data.buffer);
    const alpha = 0xff << 24;
    let i = mat.cols * mat.rows;
    let pix = 0;
    while (--i >= 0) {
        pix = mat.data[i];
        data_u32[i] = alpha | (pix << 16) | (pix << 8) | pix;
    }
    return imageData;
}
exports.default = matToImageData;
