"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.detect = void 0;
const debug_1 = __importDefault(require("debug"));
const images_1 = require("../images");
const withCropping_1 = require("./withCropping");
const debug = debug_1.default('hmpb-interpreter:quirc');
/**
 * Uses quirc to detect QR codes in a ballot image.
 */
async function detect(imageData) {
    debug('detecting QR code in %d×%d image', imageData.width, imageData.height);
    // Unfortunately, quirc requires either JPEG or PNG encoded images and can't
    // handle raw bitmaps.
    const quirc = await Promise.resolve().then(() => __importStar(require('node-quirc')));
    const result = await quirc.decode(await images_1.toPNG(imageData));
    for (const symbol of result) {
        if (!('err' in symbol)) {
            debug('found QR code with data: %o', symbol.data);
            return { data: symbol.data };
        }
    }
    return undefined;
}
exports.detect = detect;
exports.default = withCropping_1.withCropping(detect);
